- Qt 6.6
- Qt Graphs
- QML Types
- QtGraphs (Technical Preview)
- Light3D
- Qt Graphs | Commercial or GPLv3

# Light3D QML Type

Representation of a light source in 3D space. More...

Import Statement: | import QtGraphs 6.6
Instantiates: | Q3DLight
Status: | Technical Preview

- List of all members, including inherited members

## Properties

- autoPosition : bool

## Detailed Description

Light3D represents a monochrome light source in 3D space.

Note: Default light has autoPosition `true`.

## Property Documentation

autoPosition : bool

Defines whether the light position follows the camera automatically.

Note: Has no effect if shadows are enabled. Remember to disable shadows before setting light's position, or it will be overwritten by automatic positioning if this property is `false`.